/*
 *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "Commun.h"
#include "Declaration.h"
#include "Reseau.h"

void Message (char *Message, int type)
{
	struct struct_Message Message_Envoyer;

	Message_Envoyer.type = 1;
	Message_Envoyer.type_message = type;
	strcpy (Message_Envoyer.donnee, Message);
	Message_Envoyer.Nb_Machine_Dans_La_Liste = 0;
	Message_Envoyer.Nb_Machine_En_Cours_De_Scan = 0;
	Message_Envoyer.Nb_Machine_En_Attente_De_Scan = 0;

	if (msgsnd (File_Envoie_Message, (void *) &Message_Envoyer, sizeof (Message_Envoyer) - sizeof (long), 0) < 0) {
		perror ("[S] msgsnd");
		exit (1);
	}

}

void Message_Info ()
{
	struct struct_Message Message_Envoyer;

	Message_Envoyer.type = 1;
	Message_Envoyer.type_message = RETOUR_INFO;
	strcpy (Message_Envoyer.donnee, "");
	Message_Envoyer.Nb_Machine_Dans_La_Liste = Nb_Machine_Dans_La_Liste;
	Message_Envoyer.Nb_Machine_En_Cours_De_Scan = Nb_Max_Thread - Valeur_Semaphore (&Semaphore_Thread_Scan);
	Message_Envoyer.Nb_Machine_En_Attente_De_Scan = Valeur_Semaphore (&Semaphore_Nouvelle_Machine);

	if (msgsnd (File_Envoie_Message, (void *) &Message_Envoyer, sizeof (Message_Envoyer) - sizeof (long), 0) < 0) {
		perror ("[S] msgsnd");
		exit (1);
	}

}
