/*
 *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "callbacks.h"
#include "Reseau.h"
#include "Machine.h"

#include <gtk/gtk.h>
char     *Buffer_Partage = NULL;
char     *Partage_Selectionner;



void Affiche_Partage ()
{
	Mode_Liste_Icone_Port = FALSE;	// passage en mode liste des partages
	gtk_entry_set_text (GTK_ENTRY (entry_Partage_Utilisateur), Liste_Machines[MachineSelectionner].Smb.Utilisateur);
	gtk_entry_set_text (GTK_ENTRY (entry_Partage_Mot_Passe), "");
	gtk_entry_set_text (GTK_ENTRY (entry_Partage_Domaine), Liste_Machines[MachineSelectionner].Smb.DomainName);
	gtk_widget_show (window_Partage);
}



/* Attention ne libere jamais le pointer Debut
*/

void on_button_Partage_Valider_clicked (GtkButton * button, gpointer user_data)
{
	char     *Debut, *Fin;
	char     *Command[255];
	char      Ligne[255], *DebutLigne;
	char     *Commentaire;
	int       i, pos;
	char      Chemin[255];
	pid_t     pid_fils;
	char      Nom_Fichier[255];
	char      Tmp[255];
	
	if (Mode_Documentation) {
		printf ("Mode Info_Mode\n");
		gtk_widget_destroy (frame_Documentation);
		Init_Info_Mode ();
		printf ("Mode Info_Mode : Ok\n");
		Mode_Documentation = FALSE;
		MachineSelectionner = MachineSelectionner_Avant_Documentation;
		Afficher_Info_Machine ();
	}

	sprintf (Chemin, "smb://%s/", Liste_Machines[MachineSelectionner].Smb.HostName);
	if (!Affiche_Liste_Partage_Samba (Chemin)) {
		Mode_Liste_Icone_Port = TRUE;	// passage en mode liste des ports

		IconeSelectionner = -1;
		IconeFocus = -1;
		printf("/////////////////////////////////////////////////////\n");
	}
	gtk_widget_hide (window_Partage);
}


void on_button_Partage_Fermer_clicked (GtkButton * button, gpointer user_data)
{
	gtk_widget_hide (window_Partage);
	Mode_Liste_Icone_Port = TRUE;	// passage en mode liste des ports
	IconeSelectionner = -1;
	gtk_widget_set_sensitive (iconlist, TRUE);
	IconeFocus = -1;
}
