/*
 *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#include "callbacks.h"
GtkWidget *window_Image_Demarrage;

void Cache_Icone_Demarrage(){
	gtk_widget_hide (window_Image_Demarrage);
}

void Afficher_Icone_Demarrage ()
{
	/* GtkWidget is the storage type for widgets */
	GtkWidget *pixmap, *fixed;
	GdkPixmap *gdk_pixmap;
	GdkBitmap *mask;
	GtkStyle *style;
	GdkGC    *gc;
	GdkColor  Transparent;
	
	window_Image_Demarrage = gtk_window_new (GTK_WINDOW_POPUP);
	gtk_widget_realize (window_Image_Demarrage);
	gdk_pixmap = gdk_pixmap_create_from_xpm (window_Image_Demarrage->window, &mask, &Transparent, "/usr/share/pixmaps/AutoScan/Icone_AutoScan.png");

	pixmap = gtk_pixmap_new (gdk_pixmap, mask);
	gtk_widget_show (pixmap);


	fixed = gtk_fixed_new ();
	gtk_widget_set_usize (fixed, 391, 355);
	gtk_fixed_put (GTK_FIXED (fixed), pixmap, 0, 0);
	gtk_container_add (GTK_CONTAINER (window_Image_Demarrage), fixed);
	gtk_widget_show (fixed);
	gtk_widget_realize(fixed);
	
	gtk_widget_shape_combine_mask (window_Image_Demarrage, mask, 0, 0);

	gtk_window_set_position (GTK_WINDOW (window_Image_Demarrage), GTK_WIN_POS_CENTER);
	gtk_widget_realize(pixmap);
	gtk_widget_realize (window_Image_Demarrage);
	gtk_widget_show (window_Image_Demarrage);
	while (gtk_events_pending ()){//gdk_events_pending ()) {
		gtk_main_iteration ();//gdk_event_get ();
	}
}
