/*
 *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include "Reseau.h"
#include "callbacks.h"
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <string.h>


extern int h_errno;


gboolean Copie_Fichier (char *Source, char *Destination)
{
	FILE     *fsource = NULL, *fdestination = NULL;
	int       theChar;
	char      buffer[255];

	fsource = fopen (Source, "r");
	if (fsource == NULL) {
		perror ("[I] Ouverture du fichier source pour copie");
		return FALSE;
	}

	fdestination = fopen (Destination, "w");
	if (fdestination == NULL) {
		perror ("[I] Creation du fichier destination  copie ");
		fclose (fsource);
		return FALSE;
	}

	while (fgets (buffer, sizeof (buffer), fsource) != NULL) {
		if (fputs (buffer, fdestination) == EOF)
			break;
	}
	fclose (fsource);
	fclose (fdestination);

	return TRUE;
}
